function [xc,yc] = mycontourc(x,y,z,v)
% custom contourc for meqvis
%
% [+MEQ MatlabEQuilibrium Toolbox+] Swiss Plasma Center EPFL Lausanne 2022. All rights reserved.
 c = contourc(x,y,z,v);
 k = 1;
 while k < size(c,2)
  c(1,k) = NaN;
  k = k+c(2,k)+1;
 end
 xc = c(1,:);
 yc = c(2,:);
end